pool_20070721_011.JPG=Jayda
pool_20070721_181.JPG=Shannon
pool_20070721_180.JPG=Shannon
pool_20070721_197.JPG=Jayda
pool_20070721_104.JPG=Jayda
pool_20070721_121.JPG=Throwing!
pool_20070721_136.JPG=Jayda diving
pool_20070721_021.JPG=Shannon, Jayda, and me
pool_20070721_134.JPG=Me teaching Jayda to dive
pool_20070721_055.JPG=Julie and Shannon
pool_20070721_009.JPG=Jayda, Julie Me
pool_20070721_060.JPG=Julie, Jayda, Shannon and Marchella
pool_20070721_099.JPG=Me with the fountain
pool_20070721_183.JPG=Mandatory tongue picture
pool_20070721_122.JPG=Throwing
pool_20070721_196.JPG=Jayda
pool_20070721_074.JPG=Jayda & Julie
pool_20070721_053.JPG=Jayda, Julie, and Shannon
pool_20070721_139.JPG=Jayda jumping
pool_20070721_084.JPG=Jayda & Julie
pool_20070721_012.JPG=Jayda
pool_20070721_072.JPG=Shannon's boobs
pool_20070721_135.JPG=Jayda diving
pool_20070721_106.JPG=Shannon
pool_20070721_005.JPG=Jayda and Julie (and Marchella)
pool_20070721_108.JPG=Shannon's tattoo
pool_20070721_130.JPG=Jumping
pool_20070721_110.JPG=Shannon & Jayda
pool_20070721_095.JPG=Julie with a water bottle "stuffed"
pool_20070721_094.JPG=Shannon and Carl (on the phone)
pool_20070721_107.JPG=Julie
pool_20070721_118.JPG=Jayda & Shannon
pool_20070721_085.JPG=Shannon & Julie
pool_20070721_007.JPG=Me and Julie
pool_20070721_001.JPG=The girls
pool_20070721_040.JPG=Jayda & Shannon
pool_20070721_087.JPG=Marchella and the fountains
pool_20070721_051.JPG=Shannon & Jayda
pool_20070721_172.JPG=Marchella's so tired!
pool_20070721_179.JPG=Me and a beer
pool_20070721_008.JPG=Me and Julie
pool_20070721_105.JPG=Marchella & Jayda
pool_20070721_044.JPG=Jayda & Shannon
pool_20070721_128.JPG=Skiing?
pool_20070721_156.JPG=The pool
pool_20070721_123.JPG=Throwing
pool_20070721_140.JPG=Jayda diving
pool_20070721_088.JPG=Marchella and the fountains
pool_20070721_114.JPG=What are they doing?
pool_20070721_098.JPG=Shannon's stomach
pool_20070721_145.JPG=Jayda diving
pool_20070721_173.JPG=Shannon
pool_20070721_126.JPG=Throwing
pool_20070721_070.JPG=Jayda & Julie
pool_20070721_071.JPG=Shannon
pool_20070721_019.JPG=Me and Jayda
pool_20070721_146.JPG=Me and Marchella
pool_20070721_006.JPG=Julie
pool_20070721_002.JPG=The girls
pool_20070721_176.JPG=Me and Shannon
pool_20070721_147.JPG=Me and Marchella
pool_20070721_127.JPG=Diving?
pool_20070721_152.JPG=Marchella
pool_20070721_022.JPG=Shannon, Jayda, and me
pool_20070721_205.JPG=Jayda & Shannon
pool_20070721_137.JPG=Jayda jumping
pool_20070721_073.JPG=Shannon's boobs
pool_20070721_115.JPG=Shannon
